﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.MKYBackgroundThread
{
    /// <summary>
    /// 库存查询返回实体
    /// </summary>
    public class StockQueryResponse
    {
        public int code { get; set; }

        public string data { get; set; }

        public string message { get; set; }
    }

    public class StockQueryResponseDataItem
    {
        public string batch_no { get; set; } = "-";

        public string location_code { get; set; } = "-";

        public decimal qty { get; set; } = 0;

        public string material_name { get; set; } = "-";

        public string material_code { get; set; } = "-";

        /// <summary>
        /// 物料规格
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore)]
        public string material_spec { get; set; } = "-";
    }
}
