﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.SingleLight
{
    public class SingleLightControlRequest : RequestBase
    {
        /// <summary>
        /// 巷道灯颜色 如果不传 默认为-1  不发送对应指令
        /// </summary>
        public int ColorMode { get; set; } = -1;
        public int LightMode { get; set; } = -1;
        /// <summary>
        /// 库位灯控制
        /// </summary>
        public List<string> StoreCodes { get; set; }
    }
}
